Bug 10604 - stat truncates inode numbers to 32 bits
Summary: stat truncates inode numbers to 32 bits
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: stat   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-05 19:41 UTC by Phil Schwan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-06 19:13:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Schwan 2000-04-05 19:41:37 UTC
Filesystems (XFS, for example) are starting to use 64 bit inodes.  The
userspace tools should correctly report these.

--- stat-1.5/stat.c	Wed Apr  5 10:55:53 2000
+++ stat-1.5/stat.c	Wed Apr  5 10:50:42 2000
@@ -314,9 +314,9 @@
 	if(oneperline)
 		(void) printf("\n");
 	if(oneperline)
-		(void) printf("Inode: %-10ld\n", Sbuf.st_ino);
+		(void) printf("Inode: %-15lld\n", Sbuf.st_ino);
 	else
-		(void) printf("  Inode: %-10ld", Sbuf.st_ino);
+		(void) printf("  Inode: %-15lld", Sbuf.st_ino);
 	(void) printf("Links: %-5d", Sbuf.st_nlink);

 	/* Only meaningful if file is device */

(In unrelated news, is there a 'stat' maintainer that all distributions
feed from?)

Comment 1 Nalin Dahyabhai 2000-04-06 19:13:59 UTC
It looks like stat(1) is no longer maintained.  Someone did a from-scratch
rewrite, called it 2.2, and uploaded it to metalab, though.

Comment 2 Jeff Johnson 2000-07-27 21:40:55 UTC
Fixed by upgrading to stat-2.2-1.


Note You need to log in before you can comment on or make changes to this bug.